#!/bin/sh
#
# Used with FVWM2 to generate a menu of last run items
#

fhome=$HOME/.fvwm
ddir=$fhome/data

if test -f "$ddir/last_run_x_fmt.txt"
then
    tfile1=$ddir/temp.menu.y
    tfile2=$ddir/temp.menu.x
    sed 's/^/+ "/;s/$/"/' $ddir/last_run_x_fmt.txt > $tfile1
    sed 's/^/Exec /'      $ddir/last_run_x_fmt.txt > $tfile2
    paste $tfile1 $tfile2
    echo '+	""		Nop'
    echo '+ 	"Pin Menu" TearMenuOff'
    rm -f $tfile1 $tfile2 > /dev/null 2>&1
fi

################################################################################
# How to configure to allow saving of last run items
################################################################################

# 1. add the following somewhere in your .fvwm2rc
#
#     AddToMenu menu_dyn1 "Last Executed" title
#     + DynamicPopupAction Function make_dyn1
#     AddToFunc make_dyn1
#     + I DestroyMenu recreate menu_dyn1
#     + I AddToMenu menu_dyn1 "Last Executed" title
#     + I PipeRead $HOME/Data/FVWM2/last_run.sh

# 2. add this entry somewhere in your menu structure
#
#   + "Last Run"   Popup menu_dyn1

# 3. all menu items you want to save in the "last Run"
#    menu, use xrun_prog.sh
#
#    Example -- my Libre Office Menu:
#
#         AddToMenu menu_llffice "Libre Office" Title
#         +	"Spreadsheet"		exec ~/bin/xrun_prog.sh scalc
#         +	"Word Processor"	exec ~/bin/xrun_prog.sh swriter
#         +	"Presentation"		exec ~/bin/xrun_prog.sh simpress
#         +	"Database"		exec ~/bin/xrun_prog.sh sbase
#         +	"Math Editor"		exec ~/bin/xrun_prog.sh smath
#         +	"Draw"			exec ~/bin/xrun_prog.sh sdraw
#         +	"Open Office Main"	exec ~/bin/xrun_prog.sh soffice
#         +	"Printer Admin"		exec ~/bin/xrun_prog.sh spadmin
